VismaBouwsoftAPICalls.v1_GET_Transactions Method
v1_GET_Transactions() as String

This API call is used to get fields of a(n) Transaction(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Transactions/
or
API Path: /Transactions/{id}
or
API Path: /Transactions/FieldInfo/

You can make this API call:
* without the key field id to get a list of Transactions
* with the key field id as the path parameter (the specific id of the Transaction you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
payment_id 1 tpLong 0 No Yes No
paymentaccount_id 1 tpLong 0 No Yes No
paymentaccount_nr 2 tpString 100 No No No
paymentaccount_name 2 tpString 150 No No No
date 3 tpDate 0 No Yes No
amount 8 tpCurrency 0 No Yes No
paymentmethod_id 2 tpString 0 No No No
paymentmethod 2 tpString 0 No No No
paymentmethod_localized 2 tpString 0 No No No
iban 2 tpString 35 No Yes No
bic 2 tpString 11 No Yes No
statementnr 2 tpString 50 No Yes No
docnr 2 tpString 50 No Yes No
note 2 tpString 0 No Yes No
notification 2 tpString 0 No No No
externalcode 2 tpString 250 No Yes No
externalsource 1 tpLong 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Transactions/

API Path: /Transactions/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Transactions

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: llbfWxfODIzSfGrbAtzRqbDtOPArOVPmGIPUzAkkbOIfIrlUtm
ParameterName: Clientnr, ParameterValue: 1605

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: -date

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/694”, “Records”: [
  {
    "id": 2150,
    "payment_id": 0,
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2025–10–13",
    "amount": 1000.149999999999977,
    "paymentmethod_id": "0",
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "iban": "",
    "bic": "",
    "statementnr": "",
    "docnr": "",
    "note": "",
    "notification": "",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2025–10–13 12:01:32"
  },
  {
    "id": 781,
    "payment_id": 0,
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2025–02–21",
    "amount": 30.0,
    "paymentmethod_id": "0",
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "iban": "",
    "bic": "",
    "statementnr": "",
    "docnr": "",
    "note": "",
    "notification": "",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2025–03–04 17:45:58"
  }
,

]
}

/Transactions/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Transactions/2150

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: llbfWxfODIzSfGrbAtzRqbDtOPArOVPmGIPUzAkkbOIfIrlUtm
ParameterName: Clientnr, ParameterValue: 1605

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 2150,
    "payment_id": 0,
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2025–10–13",
    "amount": 1000.149999999999977,
    "paymentmethod_id": "0",
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "iban": "",
    "bic": "",
    "statementnr": "",
    "docnr": "",
    "note": "",
    "notification": "",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2025–10–13 12:01:32"
  }
]
}

/Transactions/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Transactions/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "payment_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "paymentaccount_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  }
,

]